Unit tde15r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE15R_p, DE15R_p;

function tde15r: String;

implementation

function tde15r: String;
var
M,JSTART,IH,IERR,_i :Integer;
HMIN,EPS,P,X,H,Y1,Y2,XP :Real;
BUL :Boolean;
YX :Array [0..1] of Real;
YP :Array [0..1] of Real;
DY :Array [0..1] of Real;
R1 :Array [0..1] of Real;
R2 :Array [0..1] of Real;
R3 :Array [0..1] of Real;
R4 :Array [0..1] of Real;
label
_6,_103,_104,_105,_20;
begin
Result := '';  {   }
M := 2;
JSTART := 0;
HMIN := 1.E-12;
EPS := 1.E-5;
P := 100.0;
YX[0] := 1.0;
YX[1] := -2.0;
X := 0.0;
H := 0.01;
BUL := False;
IH := 0;
_6:
DE15R(FDE15R,M,JSTART,HMIN,EPS,P,YX,X,H,BUL,XP,YP,DY,R1,
     R2,R3,R4,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%3d ',[IERR]) + #$0D#$0A;
if ( IERR <> 0 )
 then goto _20;
Y1 := 0.1*X+Sin(X)+1.0;
Y2 := -0.1*X-Cos(X)-1.0;
Result := Result + Format('%20.16f ',[X]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[YX[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%20.16f  %20.16f  %20.16f ',
 [H,Y1,Y2]) + #$0D#$0A;
IH := IH+1;
case IH of
 1: goto _6;
 2: goto _6;
 3: goto _103;
 4: goto _104;
 5: goto _105;
 6: goto _6;
 7: goto _20;
end;
_103:
JSTART := -1;
H := -0.005;
goto _6;
_104:
JSTART := -1;
H := 0.02;
goto _6;
_105:
JSTART := -1;
H := 0.01;
goto _6;
_20:
UtRes('tde15r',Result);  {     tde15r.res }
exit;
end;

end.
